DSL Firmware Upgrade Problems - Cisco 877 Routers

Unanswered Question
Sep 16th, 2008

Hi all,

I have a problem with an 877 Router.

I can't seem to get its DSL Firmware Upgraded. At present it is using:

sh dsl int atm 0 | i FW

Init FW: init_AMR-3.0.014_no_bist.bin

Operation FW: AMR-3.0.014.bin

FW Source: embedded

FW Version: 3.0.14

When I TFTP Firmware version 4.0.13 to the flash and rename it so it ends in .bin and reboot the router, it still comes up with the Embedded FW.

I have another 877 running the same FW and IOS, and as soon as I try to upgrade that one it works first time?

Strange thing is, If I try to upgrade the one which doesnt seem to take the FW image to version 4.0.15 it works fine. Only problem is 4.0.15 causes the 877s to not "Sync" with the DSLAM any more.

Any ideas at all??

Rgds,

Ian.

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
drolemc Mon, 09/22/2008 - 08:44

.Copy the firmware file to the flash:

2. For the new firmware to take effect, reboot the device.

3. The "Show dsl interface atm 0" output gives the details of the firmware

file in use

Note:

- The firmware file should not be renamed when being copied to the

flash , Since the router looks for the presence of file named

"adsl_acl_firmware_4_10_158.bin" to initiate the flash upgrade process

- If IOS is now able to find a valid firmware in the flash then it

would always use that rather than the firmware embedded in IOS .If users

want to use the embedded firmware, they have to ensure that there is no

valid firmware file in flash.

Actions

This Discussion